package com.qianhe.mapper;

import java.util.List;
import com.qianhe.domain.SjGfjsDxjcz;

/**
 * 单项基础值Mapper接口
 * 
 * @author qianhe
 * @date 2025-08-15
 */
public interface SjGfjsDxjczMapper 
{
    /**
     * 查询单项基础值
     * 
     * @param id 单项基础值主键
     * @return 单项基础值
     */
    public SjGfjsDxjcz selectSjGfjsDxjczById(Long id);

    /**
     * 查询单项基础值列表
     * 
     * @param sjGfjsDxjcz 单项基础值
     * @return 单项基础值集合
     */
    public List<SjGfjsDxjcz> selectSjGfjsDxjczList(SjGfjsDxjcz sjGfjsDxjcz);

    /**
     * 新增单项基础值
     * 
     * @param sjGfjsDxjcz 单项基础值
     * @return 结果
     */
    public int insertSjGfjsDxjcz(SjGfjsDxjcz sjGfjsDxjcz);

    /**
     * 修改单项基础值
     * 
     * @param sjGfjsDxjcz 单项基础值
     * @return 结果
     */
    public int updateSjGfjsDxjcz(SjGfjsDxjcz sjGfjsDxjcz);

    /**
     * 删除单项基础值
     * 
     * @param id 单项基础值主键
     * @return 结果
     */
    public int deleteSjGfjsDxjczById(Long id);

    /**
     * 批量删除单项基础值
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSjGfjsDxjczByIds(Long[] ids);
}
